from collections import *

def norm(w):
    return ''.join(c for c in w.lower() if c.islower())

IN = open('reading.in').read().split()

d = Counter()
for w in IN:
    if len(w) < 3:
        continue
    d[norm(w)] += 1

TAKE = 30

freq = sorted(list(d.values()))[:-TAKE-1:-1]
freq2 = [freq[i] * (i + 1) for i in range(len(freq))]

mean = sum(freq2) / len(freq2)
dev = sum((f - mean)**2 for f in freq2) / mean / mean / TAKE

OUT = open('reading.out', 'w')
print ("Dreaming" if dev > 0.10 else "Real life", file=OUT)
